---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.130.0.30
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: cluster-olm-operator-78f47b778b-2pdlj
      namespace: openshift-cluster-olm-operator
      uid: 7e326fab-f763-4c40-83eb-fa3f75df6e68
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:28:13Z"
    creationTimestamp: "2025-10-27T11:18:26Z"
    generateName: cluster-olm-operator-metrics-
    generation: 7
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: cluster-olm-operator-metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"51290587-22a7-4c34-a463-9f5fe98b5a61"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:28:13Z"
    name: cluster-olm-operator-metrics-d7gxr
    namespace: openshift-cluster-olm-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: cluster-olm-operator-metrics
      uid: 51290587-22a7-4c34-a463-9f5fe98b5a61
    resourceVersion: "45706"
    uid: bcc22f21-0c25-4b10-a896-ccbbea4f7518
  ports:
  - name: https
    port: 8443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2220480"
